package com.ruoyi.syzy.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.syzy.domain.BCustomerXkcx;
import org.apache.ibatis.annotations.Param;

import com.ruoyi.syzy.domain.BBusiWishXkcx;

/**
 * 院校专业分数线Mapper接口
 * 
 * @author mingxue
 * @date 2021-08-18
 */
public interface BBusiWishXkcxMapper {
    public List<BBusiWishXkcx> selectBusiWishXkcxForRecommend(List<BBusiWishXkcx> conds);
    public List<BBusiWishXkcx> selectBusiWishXkcxByCustomer(Map cond);
    public List<BBusiWishXkcx> selectBusiWishXkcxByCustomer2(Map cond);
    public List<BBusiWishXkcx> selectBBusiWishXkcxRandom(Integer count);

    /**
     * 查询院校专业分数线
     * 
     * @param id 院校专业分数线ID
     * @return 院校专业分数线
     */
    public BBusiWishXkcx selectBBusiWishXkcxById(Long id);
    public List<Integer> selectBBusiWishXkcxYears(String location);

    /**
     * 查询院校专业分数线列表
     * 
     * @param bBusiWishXkcx 院校专业分数线
     * @return 院校专业分数线集合
     */
    public List<BBusiWishXkcx> selectBBusiWishXkcxList(BBusiWishXkcx bBusiWishXkcx);

    /**
     * 选科查询
     * 
     * @param where
     * @return
     */
    public List<BBusiWishXkcx> listByCourses(@Param("qw") String where);
    public List<BBusiWishXkcx> listByCourses2(BCustomerXkcx bCustomerXkcx);


    /**
     * 新增院校专业分数线
     * 
     * @param bBusiWishXkcx 院校专业分数线
     * @return 结果
     */
    public int insertBBusiWishXkcx(BBusiWishXkcx bBusiWishXkcx);

    /**
     * 修改院校专业分数线
     * 
     * @param bBusiWishXkcx 院校专业分数线
     * @return 结果
     */
    public int updateBBusiWishXkcx(BBusiWishXkcx bBusiWishXkcx);

    /**
     * 删除院校专业分数线
     * 
     * @param id 院校专业分数线ID
     * @return 结果
     */
    public int deleteBBusiWishXkcxById(Long id);

    /**
     * 批量删除院校专业分数线
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBBusiWishXkcxByIds(Long[] ids);

}
